<?xml version="1.0" encoding="utf-8" ?>
<AppGui xmlns="AppGuiSchema">
  <Layout name="ErrorDglLayout">    
    <!-- ErrorInvalidCharacters Dialog -->
    <Container type="CustomPopupDialog" name="ErrorInvalidCharactersDlg">
      <Properties>
        <Property name="Text" type="String" resourceID="ErrorInvalidCharactersTable.ERROR_INVALID_CHAR_TITLE" resourceFile="Strings2.xml" />
        <Property name="Size" type="Size">450,200</Property>
        <Property name="Modal" type="Bool">True</Property>
        <Property name="FormBorderStyle" type="FormBorderStyle">FixedDialog</Property>
        <Property name="MaximizeBox" type="Bool">False</Property>
        <Property name="StartPosition" type="FormStartPosition">CenterScreen</Property>
        <Property name="ForegroundOffset" type="Int">4</Property>
        <Property name="ForegroundBorderWidth" type="Int">1</Property>
        <Property name="BorderWidth" type="Int">4</Property>
        <Property name="TitleBarYOffset" type="Int">24</Property>
        <Property name="TitleBarHeight" type="Int">25</Property>
        <ComplexProperty name="BackColor" type="Color" resourceID="ErrorDlgColorTable.BACKCOLOR" />
        <ComplexProperty name="ForeColor" type="Color" resourceID="ErrorDlgColorTable.FORECOLOR" />
        <ComplexProperty name="TitleBarColor" type="Color" resourceID="ErrorDlgColorTable.TITLEBARCOLOR" />
        <ComplexProperty name="TitleBarTextColor" type="Color" resourceID="CommonColors.WHITE" />
        <ComplexProperty name="InactiveTitleBarColor" type="Color" resourceID="ErrorDlgColorTable.INACTIVETITLEBARCOLOR" />
        <ComplexProperty name="BorderColor" type="Color" resourceID="ErrorDlgColorTable.BORDERCOLOR" />
        <ComplexProperty name="ForegroundBorderColor" type="Color" resourceID="ErrorDlgColorTable.FOREGROUND_BORDERCOLOR" />
        <ComplexProperty name="TitleBarBorderColor" type="Color" resourceID="ErrorDlgColorTable.TITLEBAR_BORDERCOLOR" />
        <ComplexProperty name="TitleBarFont" type="Font" resourceID="ErrorDlgFontTable.TITLEBARFONT" />
        <Property name="SaveSizePos" type="Bool">False</Property>
        <ComplexProperty name="CloseButton" type="ImageButton">
          <Properties>
            <Property name="Size" type="Size">18,18</Property>
            <Property name="Location" type="Point">423,7</Property>
            <Property name="ToolTip" type="String" resourceID="MainPanelTable.CLOSE_TOOLTIP" />
            <Property name="ImageUp" type="Image">exit.png</Property>
            <Property name="ImageDown" type="Image">exit_down.png</Property>
            <Property name="ImageHover" type="Image">exit_over.png</Property>
          </Properties>
        </ComplexProperty>
      </Properties>
      <Controls>
        <Control type="Label" name="PromptLabel">
          <Properties>
            <Property name="Size" type="Size">400,80</Property>
            <Property name="Location" type="Point">10,0</Property>
            <Property name="TextAlign" type="ContentAlignment">MiddleLeft</Property>
            <Property name="Text" type="String" resourceID="ErrorInvalidCharactersTable.ERROR_INVALID_CHAR_TEXT" resourceFile="Strings2.xml" />
            <ComplexProperty name="Font" type="Font" resourceID="CommonFonts.ARIAL_8_25_BOLD"/>
            <ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.BACKCOLOR" />
          </Properties>
        </Control>
        <Control type="ImageButton" name="OKBtn">
          <Properties>
            <Property name="Size" type="Size">85,35</Property>
            <Property name="Location" type="Point">180,100</Property>
            <Property name="Text" type="String" resourceID="BGICommonStrings.OK" resourceFile="Strings2.xml" />
            <Property name="ImageFocus" type="Image">ButtonGrey_reg.png</Property>
            <Property name="ImageUp" type="Image">ButtonGrey_reg.png</Property>
            <Property name="ImageDown" type="Image">ButtonGrey_down.png</Property>
            <Property name="ImageHover" type="Image">ButtonGrey_over.png</Property>
            <Property name="ImageDisabled" type="Image">ButtonGrey_dis.png</Property>
            <ComplexProperty name="Font" type="Font" resourceID="ImageButtonFontTable.NORMALFONT"/>
            <ComplexProperty name="BackColor" type="Color" resourceID="ImageButtonColorTable.BACKCOLOR"/>
            <ComplexProperty name="TextDisabledColor" type="Color" resourceID="ImageButtonColorTable.TEXTDISABLEDCOLOR"/>
            <ComplexProperty name="ForeColor" type="Color" resourceID="ImageButtonColorTable.FORECOLOR"/>
          </Properties>
        </Control>
      </Controls>
    </Container>
    <!-- ErrorDisplaySettings Dialog -->
    <Container type="CustomPopupDialog" name="ErrorDisplaySettingsDlg">
      <Properties>
        <Property name="Size" type="Size">580,200</Property>
        <Property name="TopMost" type="Bool">True</Property>
        <Property name="StartPosition" type="FormStartPosition">CenterScreen</Property>
        <Property name="Modal" type="Bool">True</Property>
        <Property name="FormBorderStyle" type="FormBorderStyle">FixedDialog</Property>
        <Property name="MaximizeBox" type="Bool">False</Property>
        <Property name="ForegroundOffset" type="Int">4</Property>
        <Property name="ForegroundBorderWidth" type="Int">1</Property>
        <Property name="BorderWidth" type="Int">4</Property>
        <Property name="TitleBarYOffset" type="Int">24</Property>
        <Property name="TitleBarHeight" type="Int">25</Property>
        <Property name="SaveSizePos" type="Bool">False</Property>
        <Property name="Text" type="String" resourceID="DisplaySettingsErrorTable.HEADER" resourceFile="Strings2.xml"/>
        <ComplexProperty name="BackColor" type="Color" resourceID="ErrorDlgColorTable.BACKCOLOR" />
        <ComplexProperty name="ForeColor" type="Color" resourceID="ErrorDlgColorTable.FORECOLOR" />
        <ComplexProperty name="TitleBarColor" type="Color" resourceID="ErrorDlgColorTable.TITLEBARCOLOR" />
        <ComplexProperty name="TitleBarTextColor" type="Color" resourceID="CommonColors.WHITE" />
        <ComplexProperty name="InactiveTitleBarColor" type="Color" resourceID="ErrorDlgColorTable.INACTIVETITLEBARCOLOR" />
        <ComplexProperty name="BorderColor" type="Color" resourceID="ErrorDlgColorTable.BORDERCOLOR" />
        <ComplexProperty name="ForegroundBorderColor" type="Color" resourceID="ErrorDlgColorTable.FOREGROUND_BORDERCOLOR" />
        <ComplexProperty name="TitleBarBorderColor" type="Color" resourceID="ErrorDlgColorTable.TITLEBAR_BORDERCOLOR" />
        <ComplexProperty name="TitleBarFont" type="Font" resourceID="ErrorDlgFontTable.TITLEBARFONT" />
        <ComplexProperty name="CloseButton" type="ImageButton">
          <Properties>
            <Property name="Size" type="Size">18,18</Property>
            <Property name="Location" type="Point">545,7</Property>
            <Property name="ToolTip" type="String" resourceID="MainPanelTable.CLOSE_TOOLTIP"/>
            <Property name="ImageUp" type="Image">exit.png</Property>
            <Property name="ImageDown" type="Image">exit_down.png</Property>
            <Property name="ImageHover" type="Image">exit_over.png</Property>
          </Properties>
        </ComplexProperty>
      </Properties>
      <Controls>
        <Control type="Label" name="PromptLabel">
          <Properties>
            <Property name="Size" type="Size">540,60</Property>
            <Property name="Location" type="Point">10,20</Property>
            <Property name="TextAlign" type="ContentAlignment">TopLeft</Property>
            <Property name="Text" type="String" resourceID="DisplaySettingsErrorTable.TEXT" resourceFile="Strings2.xml" />
            <ComplexProperty name="Font" type="Font" resourceID="CommonFonts.ARIAL_8_25_BOLD"/>
            <ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.BACKCOLOR" />
          </Properties>
        </Control>
        <Control type="ImageButton" name="CloseBtn">
          <Properties>
            <Property name="Size" type="Size">85,35</Property>
            <Property name="Location" type="Point">250,100</Property>
            <Property name="Text" type="String" resourceID="DisplaySettingsErrorTable.CLOSE_BUTTON" resourceFile="Strings2.xml" />
            <Property name="ImageFocus" type="Image">ButtonGrey_reg.png</Property>
            <Property name="ImageUp" type="Image">ButtonGrey_reg.png</Property>
            <Property name="ImageDown" type="Image">ButtonGrey_down.png</Property>
            <Property name="ImageHover" type="Image">ButtonGrey_over.png</Property>
            <Property name="ImageDisabled" type="Image">ButtonGrey_dis.png</Property>
            <ComplexProperty name="Font" type="Font" resourceID="ImageButtonFontTable.NORMALFONT"/>
            <ComplexProperty name="BackColor" type="Color" resourceID="ImageButtonColorTable.BACKCOLOR"/>
            <ComplexProperty name="TextDisabledColor" type="Color" resourceID="ImageButtonColorTable.TEXTDISABLEDCOLOR"/>
            <ComplexProperty name="ForeColor" type="Color" resourceID="ImageButtonColorTable.FORECOLOR"/>
          </Properties>
        </Control>
      </Controls>    
    </Container>
    <!-- ErrorFieldEmpty -->
    <Container type="CustomPopupDialog" name="ErrorFieldEmptyDlg">
      <Properties>
        <Property name="Text" type="String" resourceID="ErrorFieldEmptyTable.ERROR_FIELD_EMPTY_TITLE" resourceFile="Strings2.xml" />
        <Property name="Size" type="Size">450,200</Property>
        <Property name="Modal" type="Bool">True</Property>
        <Property name="FormBorderStyle" type="FormBorderStyle">FixedDialog</Property>
        <Property name="MaximizeBox" type="Bool">False</Property>
        <Property name="StartPosition" type="FormStartPosition">CenterScreen</Property>
        <Property name="ForegroundOffset" type="Int">4</Property>
        <Property name="ForegroundBorderWidth" type="Int">1</Property>
        <Property name="BorderWidth" type="Int">4</Property>
        <Property name="TitleBarYOffset" type="Int">24</Property>
        <Property name="TitleBarHeight" type="Int">25</Property>
        <ComplexProperty name="BackColor" type="Color" resourceID="ErrorDlgColorTable.BACKCOLOR" />
        <ComplexProperty name="ForeColor" type="Color" resourceID="ErrorDlgColorTable.FORECOLOR" />
        <ComplexProperty name="TitleBarColor" type="Color" resourceID="ErrorDlgColorTable.TITLEBARCOLOR" />
        <ComplexProperty name="TitleBarTextColor" type="Color" resourceID="CommonColors.WHITE" />
        <ComplexProperty name="InactiveTitleBarColor" type="Color" resourceID="ErrorDlgColorTable.INACTIVETITLEBARCOLOR" />
        <ComplexProperty name="BorderColor" type="Color" resourceID="ErrorDlgColorTable.BORDERCOLOR" />
        <ComplexProperty name="ForegroundBorderColor" type="Color" resourceID="ErrorDlgColorTable.FOREGROUND_BORDERCOLOR" />
        <ComplexProperty name="TitleBarBorderColor" type="Color" resourceID="ErrorDlgColorTable.TITLEBAR_BORDERCOLOR" />
        <ComplexProperty name="TitleBarFont" type="Font" resourceID="ErrorDlgFontTable.TITLEBARFONT" />
        <Property name="SaveSizePos" type="Bool">False</Property>
        <ComplexProperty name="CloseButton" type="ImageButton">
          <Properties>
            <Property name="Size" type="Size">18,18</Property>
            <Property name="Location" type="Point">423,7</Property>
            <Property name="ToolTip" type="String" resourceID="MainPanelTable.CLOSE_TOOLTIP" />
            <Property name="ImageUp" type="Image">exit.png</Property>
            <Property name="ImageDown" type="Image">exit_down.png</Property>
            <Property name="ImageHover" type="Image">exit_over.png</Property>
          </Properties>
        </ComplexProperty>
      </Properties>
      <Controls>
        <Control type="Label" name="PromptLabel">
          <Properties>
            <Property name="Size" type="Size">400,40</Property>
            <Property name="Location" type="Point">10,10</Property>
            <Property name="TextAlign" type="ContentAlignment">MiddleLeft</Property>
            <Property name="Text" type="String" resourceID="ErrorFieldEmptyTable.ERRO_RFIELD_EMPTY_TEXT" resourceFile="Strings2.xml" />
            <ComplexProperty name="Font" type="Font" resourceID="CommonFonts.ARIAL_8_25_BOLD"/>
            <ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.BACKCOLOR" />
          </Properties>
        </Control>
        <Control type="ImageButton" name="OKBtn">
          <Properties>
            <Property name="Size" type="Size">85,35</Property>
            <Property name="Location" type="Point">180,100</Property>
            <Property name="Text" type="String" resourceID="BGICommonStrings.OK" resourceFile="Strings2.xml" />
            <Property name="ImageFocus" type="Image">ButtonGrey_reg.png</Property>
            <Property name="ImageUp" type="Image">ButtonGrey_reg.png</Property>
            <Property name="ImageDown" type="Image">ButtonGrey_down.png</Property>
            <Property name="ImageHover" type="Image">ButtonGrey_over.png</Property>
            <Property name="ImageDisabled" type="Image">ButtonGrey_dis.png</Property>
            <ComplexProperty name="Font" type="Font" resourceID="ImageButtonFontTable.NORMALFONT"/>
            <ComplexProperty name="BackColor" type="Color" resourceID="ImageButtonColorTable.BACKCOLOR"/>
            <ComplexProperty name="TextDisabledColor" type="Color" resourceID="ImageButtonColorTable.TEXTDISABLEDCOLOR"/>
            <ComplexProperty name="ForeColor" type="Color" resourceID="ImageButtonColorTable.FORECOLOR"/>
          </Properties>
        </Control>
      </Controls>
    </Container>
  </Layout>  
</AppGui>